%global srcname calcephpy

Name:           python-%{srcname}
Version:        3.4.6
Release:        1%{?dist}
Summary:        Astronomical library to access planetary ephemeris files

License:        CeCILL or CeCILL-B or CeCILL-C
URL:            https://pypi.python.org/pypi/calcephpy
Source0:        %{pypi_source}

%global _description %{expand:
This is the Python module of calceph.
Calceph is a library designed to access the binary planetary ephemeris files,
such INPOPxx, JPL DExxx and SPICE ephemeris files.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}
BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if 0%{?rhel} == 7
BuildRequires:  python36-Cython
%else
BuildRequires:  python3-Cython
%endif

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n       python3-%{srcname}
%license COPYING_CECILL_V2.1.LIB COPYING_CECILL_B.LIB COPYING_CECILL_C.LIB
%doc doc/calceph_python.pdf doc/html/python/
%{python3_sitearch}/*.so
%{python3_sitearch}/*egg-info/


%changelog
* Tue Nov 3 2020 Mattia Verga <mattia.verga@protonmail.com> - 3.4.6-1
- Initial packaging
